{% extends 'base.html' %}

{% block title %}
Categories - Expenses
{% endblock title %}

{% block content %}
{% if user.is_authenticated %}
  <main>
    <h1>My Expense Categories</h1>
    <table>
      <thead>
        <tr>
          <th>Name</th>
          <th>Number of receipts</th>
        </tr>
      </thead>
      <tbody>
        {% for category in category_list %}
          <tr>
            <td>{{ category.name }}</td>
            <td>{{ category.receipts.all|length }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </main>
{% else %}
  {% comment %} <li><a href="{% url "signup" %}">Sign Up</a></li> {% endcomment %}
  <li><a href="{% url "login" %}">Login</a></li>
{% endif %}
{% endblock content %}
